#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.7
visibility:           public
id:                   hOpenPGP-2.9.7-HXTdotbGUFP9kbGyRlwTKk
key:                  hOpenPGP-2.9.7-HXTdotbGUFP9kbGyRlwTKk
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  638a69fc903e690a7ae144cd23a0dc57
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hOpenPGP-2.9.7
hs-libraries:         HShOpenPGP-2.9.7-HXTdotbGUFP9kbGyRlwTKk
depends:
    aeson-1.5.6.0-IOJcrOKAazg2fbKFkmU9ms
    asn1-encoding-0.9.6-9ff7yi9Tx265aFiPDjNeyx
    attoparsec-0.14.4-6yxyXEyzS3R3Ezwp1OCEqd base-4.15.1.0
    base16-bytestring-1.0.2.0-LTQUJknc8KdLC6VI1mIZCG
    bifunctors-5.5.11-370TCRvBN1eJmltrB78RI0 binary-0.8.8.0
    binary-conduit-1.3.1-30coRhbMkbXI3l9qfOeX35 bytestring-0.10.12.1
    bz2-1.0.1.0-JMcECsPrbND3fSelq9IrIo
    conduit-1.3.4.2-JqKWcj5SyKXD38S4hGSxg5
    conduit-extra-1.3.5-IB6ozya6iGF2iNpZu1KLAG containers-0.6.4.1
    crypto-cipher-types-0.0.9-Pkn8Fl3IUT6CrXzDCWbWP
    cryptonite-0.29-FMubdsnr8D79ZCOxXPnG3y
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.4.0.0-D9JHm37pmxhHVdVJaoyj8U
    incremental-parser-0.5.0.2-4rCq34qr6opKS5bcBfblmh
    ixset-typed-0.5-9hgeI2kT1Qw58kputbb2Op
    lens-5.1-JTdTUL3YveqAiPsY8Zu69z
    memory-0.16.0-C1aSJjn86k58WRNtXw4yyI
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-JlbmSgx9VwK7oI5tTrlxs3
    network-uri-2.6.4.1-2WZYIecCJpGJT3mV84Fary
    openpgp-asciiarmor-0.1.2-5kCjSEkJZTpHlenFAb6DL8
    prettyprinter-1.7.1-JzqbjIFfwnaJjl1RBogjVg
    resourcet-1.2.4.3-DIQbLQCipRc6xKgSOzimAG
    split-0.2.3.4-H5GTMTOhRMdH9TlpAAGOWr text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.16.0-GOdhS5VVGhuDfpf9ntzlf6
    zlib-0.6.2.3-4nEjPlJdMBCFGr9HKUnUnT

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

